Get Sermon Transcript
curl --request GET \
--url https://api.thefaithapp.com/v1/media/{mediaId}/transcript \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/media/{mediaId}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/media/{mediaId}/transcript"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"media_id": 30,
"language": "english",
"is_original": true,
"full_text": "For God so loved the world. That he gave his only son.",
"cues": [
{
"start_ms": 0,
"end_ms": 2500,
"text": "For God so loved the world."
}
],
"available_languages": [
{
"language": "es",
"name": "Spanish",
"is_original": false
}
]
}
}Content
Get Sermon Transcript
Fetch the published synced transcript for an audio or uploaded video sermon in the authenticated member’s church. Returns data: null when no published transcript is available.
GET
/
v1
/
media
/
{mediaId}
/
transcript
Get Sermon Transcript
curl --request GET \
--url https://api.thefaithapp.com/v1/media/{mediaId}/transcript \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/media/{mediaId}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/media/{mediaId}/transcript"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"media_id": 30,
"language": "english",
"is_original": true,
"full_text": "For God so loved the world. That he gave his only son.",
"cues": [
{
"start_ms": 0,
"end_ms": 2500,
"text": "For God so loved the world."
}
],
"available_languages": [
{
"language": "es",
"name": "Spanish",
"is_original": false
}
]
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Unique identifier of the audio or video sermon.
Query Parameters
Optional language code for a published translation, such as es or sw.
Was this page helpful?